MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025141Open CASCADE[OCCT] OCCT:Configurationpublic2014-08-12 15:512014-11-11 12:59
Reporterapl 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMinGW / EclipseOSWindowsOS Version7
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025141: CMake / MinGW: link recipe fails due to long command
DescriptionMinGW make procedure can not build TKGeomAlgo library. The problem appears during linking: linker command exceeds windows CMD line limit. The linker command contains complete list of object files generated by compiler.

The problem can be solved by adding the following CMake configuration options:
- CMAKE_C_USE_RESPONSE_FILE_FOR_OBJECTS
- CMAKE_CXX_USE_RESPONSE_FILE_FOR_OBJECTS

These options tell CMake to generate a single response file which enlist all of the object files. The single response file will be passed to the linker instead of enlisting all of the generated object files.

Built with:
* CMake version 3.0
* MinGW
* Eclipse Juno CDT4
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024888closedbugmaster Refactoring of OCCT CMake meta-project 

-  Notes
(0031765)
ibs (developer)
2014-09-16 15:17

0024888 issue contains the changes
(0031888)
bugmaster (administrator)
2014-09-19 13:44

Fix has been been integrated with integration for 0024888

- Issue History
Date Modified Username Field Change
2014-08-12 15:51 apl New Issue
2014-08-12 15:51 apl Assigned To => abv
2014-08-21 18:49 abv Assigned To abv => ibs
2014-08-21 18:49 abv Status new => assigned
2014-08-21 19:10 ibs Note Added: 0031015
2014-08-21 19:11 ibs Note Edited: 0031015 View Revisions
2014-08-21 19:11 ibs Relationship added related to 0025114
2014-08-28 17:09 ibs Relationship deleted related to 0025114
2014-08-28 17:09 ibs Note Deleted: 0031015
2014-09-16 11:30 ibs Relationship added related to 0024888
2014-09-16 15:16 ibs Assigned To ibs => bugmaster
2014-09-16 15:16 ibs Status assigned => resolved
2014-09-16 15:17 ibs Status resolved => reviewed
2014-09-16 15:17 ibs Note Added: 0031765
2014-09-19 13:44 bugmaster Note Added: 0031888
2014-09-19 13:44 bugmaster Status reviewed => verified
2014-09-19 13:44 bugmaster Resolution open => fixed
2014-10-02 16:27 bugmaster Target Version 7.0.0 => 6.8.0
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker